classification
Title: No unit test for yiq to rgb and rgb to yiq converting functions
Type: Stage: resolved
Components: Tests Versions: Python 3.4
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Normalize math precision in RGB/YIQ conversion
View: 14323
Assigned To: Nosy List: serhiy.storchaka, vajrasky
Priority: normal Keywords:

Created on 2013-07-26 16:30 by vajrasky, last changed 2013-08-04 21:39 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
unit_test_for_yiq.txt vajrasky, 2013-07-26 16:30 review
Messages (2)
msg193734 - (view) Author: Vajrasky Kok (vajrasky) * Date: 2013-07-26 16:30
Module colorsys has hsv_to_rgb, rgb_to_hsv, hls_to_rgb, rgb_to_hls, yiq_to_rgb, rgb_to_yig public API functions. But only hsv_to_rgb, rgb_to_hsv, hls_to_rgb, rgb_to_hls functions are being unit tested.

Attached the patch for adding unit test to cover the yiq_to_rgb, rgb_to_yig functions as well.
msg194431 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-08-04 21:39
This is superseded by issue14323.
History
Date User Action Args
2013-08-04 21:39:44serhiy.storchakasetstatus: open -> closed
superseder: Normalize math precision in RGB/YIQ conversion
messages: + msg194431

resolution: duplicate
stage: patch review -> resolved
2013-07-28 18:52:34serhiy.storchakasetnosy: + serhiy.storchaka

stage: patch review
2013-07-26 16:30:20vajraskycreate